{ pkgs, ... }:
let
  # This packages your script and its dependencies
  nerdfont-search = pkgs.writeShellScriptBin "nfPicker" ''
    # We reference the CSV file. 
    # If you put nerdfont.csv in the same folder as this nix file:
    CSV_PATH="${../files/nerdfont.csv}"
    
    # Run the pipeline using packages from the Nix store
    cat "$CSV_PATH" | ${pkgs.fuzzel}/bin/fuzzel -d | ${pkgs.gawk}/bin/gawk -F, '{printf $3}' | ${pkgs.wl-clipboard}/bin/wl-copy
    ${pkgs.wl-clipboard}/bin/wl-paste
  '';
in
{
  home.packages = [
    nerdfont-search
  ];
}
